fileVerison: 1
packageType: Install
softwareName: UniCollector
softwareVersion: V100R020C10SPC300
releaseType: Full
packageFormat: SolutionV3
featureGroup:
  all:
    uniCollector:
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_unicollector_zenith.json
      deployOrder: 195
    uniCollector-IP:
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_ip_zenith_2k.json
      deployOrder: 195
      mgmtSize:
      - '2000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_ip_zenith_6k.json
      deployOrder: 195
      mgmtSize:
      - '6000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_ip_zenith_30k.json
      deployOrder: 195
      mgmtSize:
      - '15000'
      - '30000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_ip_zenith_100k.json
      deployOrder: 195
      mgmtSize:
      - '50000'
      - '80000'
      - '100000'
    uniCollector-FAN:
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_fan_zenith_2k.json
      deployOrder: 195
      mgmtSize:
      - '2000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_fan_zenith_6k.json
      deployOrder: 195
      mgmtSize:
      - '6000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_fan_zenith_30k.json
      deployOrder: 195
      mgmtSize:
      - '15000'
      - '30000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_fan_zenith_100k.json
      deployOrder: 195
      mgmtSize:
      - '50000'
      - '80000'
      - '100000'
      - '150000'
    uniCollector-T:
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_t_zenith_2k.json
      deployOrder: 195
      mgmtSize:
      - '2000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_t_zenith_6k.json
      deployOrder: 195
      mgmtSize:
      - '6000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_t_zenith_30k.json
      deployOrder: 195
      mgmtSize:
      - '15000'
      - '30000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_t_zenith_100k.json
      deployOrder: 195
      mgmtSize:
      - '50000'
      - '80000'
      - '100000'
      - '150000'
    uniCollector-IP-M:
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_ip_m_zenith.json
      deployOrder: 195
      mgmtSize:
      - '1000'
      - '2000'
      - '6000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_ip_m_zenith_15k_30k.json
      deployOrder: 195
      mgmtSize:
      - '15000'
      - '30000'
    uniCollector-FAN-M:
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_fan_m_zenith.json
      deployOrder: 195
      mgmtSize:
      - '1000'
      - '2000'
      - '6000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_fan_m_zenith_6k.json
      deployOrder: 195
      mgmtSize:
      - '15000'
      - '30000'
      - '50000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_fan_m_zenith_100k.json
      deployOrder: 195
      mgmtSize:
      - '80000'
      - '150000'
    uniCollector-T-M:
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_t_m_zenith.json
      deployOrder: 195
      mgmtSize:
      - '1000'
      - '2000'
      - '6000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_t_m_zenith_6k.json
      deployOrder: 195
      mgmtSize:
      - '15000'
      - '30000'
      - '50000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_t_m_zenith_100k.json
      deployOrder: 195
      mgmtSize:
      - '100000'
      - '150000'
    uniCollector-LITE-M:
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_lite_m_zenith.json
      deployOrder: 195
    uniCollector-agent:
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_agent_zenith.json
      deployOrder: 195
    uniCollector-cross-domain:
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_cross_domain_zenith_2k.json
      deployOrder: 195
      mgmtSize:
      - '2000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_cross_domain_zenith_6k.json
      deployOrder: 195
      mgmtSize:
      - '6000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_cross_domain_zenith_30k.json
      deployOrder: 195
      mgmtSize:
      - '15000'
      - '30000'
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_cross_domain_zenith_100k.json
      deployOrder: 195
      mgmtSize:
      - '50000'
      - '80000'
      - '100000'
    uniCollector-cross-domain-M:
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_cross_domain_m_zenith.json
      deployOrder: 195
    uniCollector-manager:
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_manager_zenith.json
      deployOrder: 195
    uniCollector-E:
    - serviceName: UniCollect
      require: optional
      deployTemplate: ies_om_global_e_zenith.json
      deployOrder: 195

optionalFeatureList:
  all:
  - uniCollector-T-M
  - uniCollector-T
  - uniCollector-FAN-M
  - uniCollector-FAN
  - uniCollector-IP-M
  - uniCollector-IP
  - uniCollector-LITE-M
  - uniCollector-cross-domain-M
  - uniCollector-cross-domain
  - uniCollector
  - uniCollector-agent
  - uniCollector-E

input:
  uniCollector:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    enableServiceIdentity:
      description: The SIA token switch of IR,should be ture or false
      default: 'false'
      type: string
      require: true
    Analyzer_Scale:
      description: The network scale, such as 500,1K,2K,3K,6K,etc
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: The network scene, such as IP,E,etc
      default: IP
      type: string
      require: true
    uniColTaskAutoRun:
      description: UniCollectAgentService task autorun,should be ture or false
      default: 'false'
      type: string
      require: true
    uniIpOrNic:
      description: network interface or ip of UniCollect
      default: eth2
      type: string
      require: true
    region1-ip:
      description: 'FI mode: FusionInsight login ip; MQ mode: Zookeeper ip and port;
        FM mode: KafkaKeeperService ip and port'
      default: 127.0.0.1
      type: string
      require: false
    region1-pwd:
      description: 'FI mode: The admin users login password of FusionInsight'
      default: nouse
      type: encrypt
      require: false
    lvs-float-ip:
      description: UniCollectAgentService lvs float ip
      default: 127.0.0.1
      type: string
      require: true
    FTP_PASSWD:
      default: ''
      description: FTP_PASSWD
      type: encrypt
      require: false
    FTP_HOME:
      description: FTP_HOME
      default: /opt/backup/ftpboot
      type: string
      require: true
  uniCollector-IP:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    enableServiceIdentity:
      description: The SIA token switch of IR,should be ture or false
      default: 'false'
      type: string
      require: true
    Analyzer_Scale:
      description: The network scale, such as 500,1K,2K,3K,6K,etc
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: The network scene, such as IP,E,etc
      default: IP
      type: string
      require: true
    uniColTaskAutoRun:
      description: UniCollectAgentService task autorun,should be ture or false
      default: 'false'
      type: string
      require: true
    uniIpOrNic:
      description: network interface or ip of UniCollect
      default: eth2
      type: string
      require: true
    region1-ip:
      description: 'FI mode: FusionInsight login ip; MQ mode: Zookeeper ip and port;
        FM mode: KafkaKeeperService ip and port'
      default: 127.0.0.1
      type: string
      require: false
    region1-pwd:
      description: 'FI mode: The admin users login password of FusionInsight'
      default: nouse
      type: encrypt
      require: false
    lvs-float-ip:
      description: UniCollectAgentService lvs float ip
      default: 127.0.0.1
      type: string
      require: true
    FTP_PASSWD:
      default: ''
      description: FTP_PASSWD
      type: encrypt
      require: false
    FTP_HOME:
      description: FTP_HOME
      default: /opt/backup/ftpboot
      type: string
      require: true
    Collector_Ip_Convergence:
      description: Collector_Ip_Convergence
      default: false
      type: string
      require: true
  uniCollector-FAN:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    enableServiceIdentity:
      description: The SIA token switch of IR,should be ture or false
      default: 'false'
      type: string
      require: true
    Analyzer_Scale:
      description: The network scale, such as 500,1K,2K,3K,6K,etc
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: The network scene, such as IP,E,etc
      default: FAN
      type: string
      require: true
    uniColTaskAutoRun:
      description: UniCollectAgentService task autorun,should be ture or false
      default: 'false'
      type: string
      require: true
    uniIpOrNic:
      description: network interface or ip of UniCollect
      default: eth2
      type: string
      require: true
    region1-ip:
      description: 'FI mode: FusionInsight login ip; MQ mode: Zookeeper ip and port;
        FM mode: KafkaKeeperService ip and port'
      default: 127.0.0.1
      type: string
      require: false
    region1-pwd:
      description: 'FI mode: The admin users login password of FusionInsight'
      default: nouse
      type: encrypt
      require: false
    lvs-float-ip:
      description: UniCollectAgentService lvs float ip
      default: 127.0.0.1
      type: string
      require: true
    FTP_PASSWD:
      default: ''
      description: FTP_PASSWD
      type: encrypt
      require: false
    FTP_HOME:
      description: FTP_HOME
      default: /opt/backup/ftpboot
      type: string
      require: true
    Collector_Ip_Convergence:
      description: Collector_Ip_Convergence
      default: false
      type: string
      require: true
  uniCollector-T:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    enableServiceIdentity:
      description: The SIA token switch of IR,should be ture or false
      default: 'false'
      type: string
      require: true
    Analyzer_Scale:
      description: The network scale, such as 500,1K,2K,3K,6K,etc
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: The network scene, such as IP,E,etc
      default: T
      type: string
      require: true
    uniColTaskAutoRun:
      description: UniCollectAgentService task autorun,should be ture or false
      default: 'false'
      type: string
      require: true
    uniIpOrNic:
      description: network interface or ip of UniCollect
      default: eth2
      type: string
      require: true
    region1-ip:
      description: 'FI mode: FusionInsight login ip; MQ mode: Zookeeper ip and port;
        FM mode: KafkaKeeperService ip and port'
      default: 127.0.0.1
      type: string
      require: false
    region1-pwd:
      description: 'FI mode: The admin users login password of FusionInsight'
      default: nouse
      type: encrypt
      require: false
    lvs-float-ip:
      description: UniCollectAgentService lvs float ip
      default: 127.0.0.1
      type: string
      require: true
    FTP_PASSWD:
      default: ''
      description: FTP_PASSWD
      type: encrypt
      require: false
    FTP_HOME:
      description: FTP_HOME
      default: /opt/backup/ftpboot
      type: string
      require: true
  uniCollector-IP-M:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    enableServiceIdentity:
      description: The SIA token switch of IR,should be ture or false
      default: 'false'
      type: string
      require: true
    Analyzer_Scale:
      description: The network scale, such as 500,1K,2K,3K,6K,etc
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: The network scene, such as IP,E,etc
      default: IP-M
      type: string
      require: true
    uniColTaskAutoRun:
      description: UniCollectAgentService task autorun,should be ture or false
      default: 'false'
      type: string
      require: true
    uniIpOrNic:
      description: network interface or ip of UniCollect
      default: eth2
      type: string
      require: true
    region1-ip:
      description: 'FI mode: FusionInsight login ip; MQ mode: Zookeeper ip and port;
        FM mode: KafkaKeeperService ip and port'
      default: 127.0.0.1
      type: string
      require: false
    region1-pwd:
      description: 'FI mode: The admin users login password of FusionInsight'
      default: nouse
      type: encrypt
      require: false
    lvs-float-ip:
      description: UniCollectAgentService lvs float ip
      default: 127.0.0.1
      type: string
      require: true
    FTP_PASSWD:
      default: ''
      description: FTP_PASSWD
      type: encrypt
      require: false
    FTP_HOME:
      description: FTP_HOME
      default: /opt/backup/ftpboot
      type: string
      require: true
  uniCollector-FAN-M:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    enableServiceIdentity:
      description: The SIA token switch of IR,should be ture or false
      default: 'false'
      type: string
      require: true
    Analyzer_Scale:
      description: The network scale, such as 500,1K,2K,3K,6K,etc
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: The network scene, such as IP,E,etc
      default: FAN-M
      type: string
      require: true
    uniColTaskAutoRun:
      description: UniCollectAgentService task autorun,should be ture or false
      default: 'false'
      type: string
      require: true
    uniIpOrNic:
      description: network interface or ip of UniCollect
      default: eth2
      type: string
      require: true
    region1-ip:
      description: 'FI mode: FusionInsight login ip; MQ mode: Zookeeper ip and port;
        FM mode: KafkaKeeperService ip and port'
      default: 127.0.0.1
      type: string
      require: false
    region1-pwd:
      description: 'FI mode: The admin users login password of FusionInsight'
      default: nouse
      type: encrypt
      require: false
    lvs-float-ip:
      description: UniCollectAgentService lvs float ip
      default: 127.0.0.1
      type: string
      require: true
    FTP_PASSWD:
      default: ''
      description: FTP_PASSWD
      type: encrypt
      require: false
    FTP_HOME:
      description: FTP_HOME
      default: /opt/backup/ftpboot
      type: string
      require: true
  uniCollector-T-M:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    enableServiceIdentity:
      description: The SIA token switch of IR,should be ture or false
      default: 'false'
      type: string
      require: true
    Analyzer_Scale:
      description: The network scale, such as 500,1K,2K,3K,6K,etc
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: The network scene, such as IP,E,etc
      default: T-M
      type: string
      require: true
    uniColTaskAutoRun:
      description: UniCollectAgentService task autorun,should be ture or false
      default: 'false'
      type: string
      require: true
    uniIpOrNic:
      description: network interface or ip of UniCollect
      default: eth2
      type: string
      require: true
    region1-ip:
      description: 'FI mode: FusionInsight login ip; MQ mode: Zookeeper ip and port;
        FM mode: KafkaKeeperService ip and port'
      default: 127.0.0.1
      type: string
      require: false
    region1-pwd:
      description: 'FI mode: The admin users login password of FusionInsight'
      default: nouse
      type: encrypt
      require: false
    lvs-float-ip:
      description: UniCollectAgentService lvs float ip
      default: 127.0.0.1
      type: string
      require: true
    FTP_PASSWD:
      default: ''
      description: FTP_PASSWD
      type: encrypt
      require: false
    FTP_HOME:
      description: FTP_HOME
      default: /opt/backup/ftpboot
      type: string
      require: true
  uniCollector-LITE-M:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    enableServiceIdentity:
      description: The SIA token switch of IR,should be ture or false
      default: 'false'
      type: string
      require: true
    Analyzer_Scale:
      description: The network scale, such as 2K
      default: 2K
      type: string
      require: true
    Analyzer_Scene:
      description: The network scene, such as LITE
      default: LITE-M
      type: string
      require: true
    uniColTaskAutoRun:
      description: UniCollectAgentService task autorun,should be ture or false
      default: 'false'
      type: string
      require: true
    uniIpOrNic:
      description: network interface or ip of UniCollect
      default: eth2
      type: string
      require: true
    region1-ip:
      description: 'FI mode: FusionInsight login ip; MQ mode: Zookeeper ip and port;
        FM mode: KafkaKeeperService ip and port'
      default: 127.0.0.1
      type: string
      require: false
    region1-pwd:
      description: 'FI mode: The admin users login password of FusionInsight'
      default: nouse
      type: encrypt
      require: false
    lvs-float-ip:
      description: UniCollectAgentService lvs float ip
      default: 127.0.0.1
      type: string
      require: true
    FTP_PASSWD:
      default: ''
      description: FTP_PASSWD
      type: encrypt
      require: false
    FTP_HOME:
      description: FTP_HOME
      default: /opt/backup/ftpboot
      type: string
      require: true
  uniCollector-agent:
    regionAlias:
      description: The prefix of the node or environment
      default: CampusInsight
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: CampusInsight
      type: string
      require: true
    enableServiceIdentity:
      description: The SIA token switch of IR,should be ture or false
      default: 'false'
      type: string
      require: true
    Analyzer_Scale:
      description: The network scale, such as 500,1K,2K,3K,6K,etc
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: The network scene, such as CampusInsight,E,etc
      default: CampusInsight
      type: string
      require: true
    uniColTaskAutoRun:
      description: UniCollectAgentService task autorun,should be ture or false
      default: 'false'
      type: string
      require: true
    uniIpOrNic:
      description: network interface or ip of UniCollect
      default: eth0
      type: string
      require: true
    region1-ip:
      description: 'FI mode: FusionInsight login ip; MQ mode: Zookeeper ip and port;
        FM mode: KafkaKeeperService ip and port'
      default: 127.0.0.1
      type: string
      require: false
    region1-pwd:
      description: 'FI mode: The admin users login password of FusionInsight'
      default: nouse
      type: encrypt
      require: false
    lvs-float-ip:
      description: UniCollectAgentService lvs float ip
      default: 127.0.0.1
      type: string
      require: true
    cloud_url:
      description: url of cloud application
      default: https://127.0.0.1:31943
      type: string
      require: true
    cloud_northward_user:
      description: northward user of cloud application
      type: string
      require: false
    cloud_northward_pwd:
      description: northward user password of cloud application
      default: nouse
      type: encrypt
      require: false
    odaeap_ip:
      description: float ip of odaeap service
      default: 127.0.0.1
      type: string
      require: true
    odaeap_port:
      description: port of dataset in odaeap service
      type: integer
      require: false
    odaeap_usessl:
      description: 'whether to use ssl, note: must be true if fi in security mode'
      default: 'true'
      type: string
      require: true
  uniCollector-cross-domain:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    enableServiceIdentity:
      description: The SIA token switch of IR,should be ture or false
      default: 'false'
      type: string
      require: true
    Analyzer_Scale:
      description: The network scale, such as 500,1K,2K,3K,6K,etc
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: The network scene, such as DOMAIN,IP,E,etc
      default: CROSS_DOMAIN
      type: string
      require: true
    uniColTaskAutoRun:
      description: UniCollectAgentService task autorun,should be ture or false
      default: 'false'
      type: string
      require: true
    uniIpOrNic:
      description: network interface or ip of UniCollect
      default: eth2
      type: string
      require: true
    region1-ip:
      description: 'FI mode: FusionInsight login ip; MQ mode: Zookeeper ip and port;
        FM mode: KafkaKeeperService ip and port'
      default: 127.0.0.1
      type: string
      require: false
    region1-pwd:
      description: 'FI mode: The admin users login password of FusionInsight'
      default: nouse
      type: encrypt
      require: false
    lvs-float-ip:
      description: UniCollectAgentService lvs float ip
      default: 127.0.0.1
      type: string
      require: true
    FTP_PASSWD:
      default: ''
      description: FTP_PASSWD
      type: encrypt
      require: false
    FTP_HOME:
      description: FTP_HOME
      default: /opt/backup/ftpboot
      type: string
      require: true
  uniCollector-cross-domain-M:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    enableServiceIdentity:
      description: The SIA token switch of IR,should be ture or false
      default: 'false'
      type: string
      require: true
    Analyzer_Scale:
      description: The network scale, such as 500,1K,2K,3K,6K,etc
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: The network scene, such as DOMAIN,IP,E,etc
      default: CROSS_DOMAIN-M
      type: string
      require: true
    uniColTaskAutoRun:
      description: UniCollectAgentService task autorun,should be ture or false
      default: 'false'
      type: string
      require: true
    uniIpOrNic:
      description: network interface or ip of UniCollect
      default: eth2
      type: string
      require: true
    region1-ip:
      description: 'FI mode: FusionInsight login ip; MQ mode: Zookeeper ip and port;
        FM mode: KafkaKeeperService ip and port'
      default: 127.0.0.1
      type: string
      require: false
    region1-pwd:
      description: 'FI mode: The admin users login password of FusionInsight'
      default: nouse
      type: encrypt
      require: false
    lvs-float-ip:
      description: UniCollectAgentService lvs float ip
      default: 127.0.0.1
      type: string
      require: true
    FTP_PASSWD:
      default: ''
      description: FTP_PASSWD
      type: encrypt
      require: false
    FTP_HOME:
      description: FTP_HOME
      default: /opt/backup/ftpboot
      type: string
      require: true
  uniCollector-manager:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    enableServiceIdentity:
      description: The SIA token switch of IR,should be ture or false
      default: 'false'
      type: string
      require: true
    Analyzer_Scale:
      description: The network scale, such as 2K,6K,etc
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: The network scene, such as IP,E,etc
      default: IP
      type: string
      require: true
    FTP_PASSWD:
      default: ''
      description: FTP_PASSWD
      type: encrypt
      require: false
    FTP_HOME:
      description: FTP_HOME
      default: /opt/backup/ftpboot
      type: string
      require: true
  uniCollector-E:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    enableServiceIdentity:
      description: The SIA token switch of IR,should be ture or false
      default: 'false'
      type: string
      require: true
    Analyzer_Scale:
      description: The network scale, such as 500,1K,2K,3K,6K,etc
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: The network scene, such as IP,E,etc
      default: IP
      type: string
      require: true
    uniColTaskAutoRun:
      description: UniCollectAgentService task autorun,should be ture or false
      default: 'false'
      type: string
      require: true
    uniIpOrNic:
      description: network interface or ip of UniCollect
      default: eth2
      type: string
      require: true
    region1-ip:
      description: 'FI mode: FusionInsight login ip; MQ mode: Zookeeper ip and port;
        FM mode: KafkaKeeperService ip and port'
      default: 127.0.0.1
      type: string
      require: false
    region1-pwd:
      description: 'FI mode: The admin users login password of FusionInsight'
      default: nouse
      type: encrypt
      require: false
    lvs-float-ip:
      description: UniCollectAgentService lvs float ip
      default: 127.0.0.1
      type: string
      require: true
    FTP_PASSWD:
      default: ''
      description: FTP_PASSWD
      type: encrypt
      require: false
    FTP_HOME:
      description: FTP_HOME
      default: /opt/backup/ftpboot
      type: string
      require: true
resources:
  softwareName: #必选，软件名称资源，用于界面显示
    zh_CN: NCE 统一南向采集
    en_US: NCE UniCollect
  packageType:  #必选，包类型资源，用于界面显示
    Install:
      en_US: Install Package
      zh_CN: 安装包
  featureGroup:  #如果有定义特性集则必须提供
    all:
      en_US: ALL
      zh_CN: 全量特性
  feature:        #如果有定义特性则必选
    uniCollector:
      en_US: uniCollector
      zh_CN: uniCollector
    uniCollector-IP:
      en_US: uniCollector-IP
      zh_CN: uniCollector-IP
    uniCollector-FAN:
      en_US: uniCollector-FAN
      zh_CN: uniCollector-FAN
    uniCollector-T:
      en_US: uniCollector-T
      zh_CN: uniCollector-T
    uniCollector-IP-M:
      en_US: uniCollector-IP-M
      zh_CN: uniCollector-IP-M
    uniCollector-FAN-M:
      en_US: uniCollector-FAN-M
      zh_CN: uniCollector-FAN-M
    uniCollector-T-M:
      en_US: uniCollector-T-M
      zh_CN: uniCollector-T-M
    uniCollector-LITE-M:
      en_US: uniCollector-LITE-M
      zh_CN: uniCollector-LITE-M
    uniCollector-agent:
      en_US: uniCollector-agent
      zh_CN: uniCollector-agent
    uniCollector-cross-domain:
      en_US: uniCollector-cross-domain
      zh_CN: uniCollector-cross-domain
    uniCollector-manager:
      en_US: uniCollector-manager
      zh_CN: uniCollector-manager
    uniCollector-E:
      en_US: uniCollector-E
      zh_CN: uniCollector-E
  input:
    regionAlias:
      en_US: regionAlias
      zh_CN: regionAlias
    tenantName:
      en_US: tenantName
      zh_CN: tenantName
    enableServiceIdentity:
      en_US: enableServiceIdentity
      zh_CN: enableServiceIdentity
    Analyzer_Scale:
      en_US: Analyzer_Scale
      zh_CN: Analyzer_Scale
    Analyzer_Scene:
      en_US: Analyzer_Scene
      zh_CN: Analyzer_Scene
    uniColTaskAutoRun:
      en_US: uniColTaskAutoRun
      zh_CN: uniColTaskAutoRun
    uniIpOrNic:
      en_US: uniIpOrNic
      zh_CN: uniIpOrNic
    region1-ip:
      en_US: region1-ip
      zh_CN: region1-ip
    region1-pwd:
      en_US: region1-pwd
      zh_CN: region1-pwd
    lvs-float-ip:
      en_US: lvs-float-ip
      zh_CN: lvs-float-ip
    cloud_url:
      en_US: cloud_url
      zh_CN: cloud_url
    cloud_northward_user:
      en_US: cloud_northward_user
      zh_CN: cloud_northward_user
    cloud_northward_pwd:
      en_US: cloud_northward_pwd
      zh_CN: cloud_northward_pwd
    odaeap_ip:
      en_US: odaeap_ip
      zh_CN: odaeap_ip
    odaeap_port:
      en_US: odaeap_port
      zh_CN: odaeap_port
    odaeap_usessl:
      en_US: odaeap_usessl
      zh_CN: odaeap_usessl
    FTP_HOME:
      en_US: FTP_HOME
      zh_CN: FTP_HOME
    FTP_PASSWD:
      en_US: FTP_PASSWD
      zh_CN: FTP_PASSWD
